Package org.gradle.api.distribution.plugins

# Class DistributionBasePlugin

java.lang.Object
org.gradle.api.distribution.plugins.DistributionBasePlugin

All Implemented Interfaces:
  `Plugin<Project>`

public abstract class DistributionBasePlugin extends Object implements Plugin<Project>
A plugin that configures rules allowing projects to be packaged as a distribution.

As a base plugin, this plugin adds no distributions by default. The `DistributionPlugin` adds a `main` distribution as a convention.

Since:
  8.13
See Also:
  - Distribution plugin reference

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DistributionBasePlugin(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.api.internal.file.FileOperations fileOperations, org.gradle.api.internal.CollectionCallbackActionDecorator callbackActionDecorator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project project)`
  Apply this plugin to the given target object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DistributionBasePlugin

    @Inject public DistributionBasePlugin(org.gradle.internal.reflect.Instantiator instantiator, org.gradle.api.internal.file.FileOperations fileOperations, org.gradle.api.internal.CollectionCallbackActionDecorator callbackActionDecorator)

- ## Method Details

  - ### apply

    public void apply(Project project)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `project` - The target object